PSMECA(1)

NAME
psmeca - Plot focal mechanisms on maps

SYNOPSIS
psmeca files -Jparameters -Rwest/east/south/north[r] [ -B[p|s]parameters ] [ -Cpen ] [ -Ddepmin/depmax ] [ -Efill] [ -Gfill] [ -H[i][nrec] ] [ -K ] [ -L[pen] ] [ -M ] [ -N ] [ -O ] [ -P ] [ -S<symbol><scale>[/d]] [ -Tnum_of_plane[pen] ] [ -U[/dx/dy/][label] ] [ -V ] [ -Wpen ] [ -X[a|c|r][x-shift[u]] ] [ -Y[a|c|r][y-shift[u]] ] [ -Zcptfile] [ -z ] [ -a[size[P_symbol[T_symbol]]] ] [ -gfill ] [ -efill ] [ -o ] [ -ppen ] [ -tpen ] [ -:[i|o] [ -ccopies ]

DESCRIPTION
psmeca reads data values from files [or standard input] and generates PostScript code that will plot focal mechanisms on a map. Most options are the same as for psxy. The PostScript code is written to standard output.

ARGUMENTS
files List one or more file-names. If no files are given, psmeca will read standard input.

-J  Selects the map projection. Scale is UNIT/degree, 1:xxxxx, or width in UNIT (upper case modifier). UNIT is cm, inch, or m, depending on the MEASURE_UNIT setting in .gmtdefaults4, but this can be overridden on the command line by appending c, i, or m to the scale/width value. For map height, max dimension, or min dimension, append h, +, or - to the width, respectively.
    More details can be found in the psbasemap man pages.

    CYLINDRICAL PROJECTIONS:

    -Jclon0/lat0/scale (Cassini)
    -Jjlon0/scale (Miller)
    -Jmscale (Mercator - Greenwich and Equator as origin)
    -Jmlon0/lat0/scale (Mercator - Give meridian and standard parallel)
    -Joalon0/lat0/azimuth/scale (Oblique Mercator - point and azimuth)
    -Joblon0/lat0/lon1/lat1/scale (Oblique Mercator - two points)
    -Joclon0/lat0/lonp/latp/scale (Oblique Mercator - point and pole)
    -Jqlon0/scale (Equidistant Cylindrical Projection (Plate Carree))
    -Jtlon0/scale (TM - Transverse Mercator, with Equator as y = 0)
    -Jtlon0/lat0/scale (TM - Transverse Mercator, set origin)
    -Juzone/scale (UTM - Universal Transverse Mercator)
    -Jylon0/lats/scale (Basic Cylindrical Projection)

    AZIMUTHAL PROJECTIONS:

    -Jalon0/lat0/scale (Lambert)
    -Jelon0/lat0/scale (Equidistant)
    -Jflon0/lat0/horizon/scale (Gnomonic)
    -Jglon0/lat0/scale (Orthographic)
    -Jslon0/lat0/[slat/]scale (General Stereographic)

    CONIC PROJECTIONS:

    -Jblon0/lat0/lat1/lat2/scale (Albers)
    -Jdlon0/lat0/lat1/lat2/scale (Equidistant)
    -Jllon0/lat0/lat1/lat2/scale (Lambert)

    MISCELLANEOUS PROJECTIONS:

    -Jhlon0/scale (Hammer)
    -Jilon0/scale (Sinusoidal)
    -Jk[f|s]lon0/scale (Eckert IV (f) and VI (s))
    -Jnlon0/scale (Robinson)
    -Jrlon0/scale (Winkel Tripel)
    -Jvlon0/scale (Van der Grinten)
    -Jwlon0/scale (Mollweide)

    NON-GEOGRAPHICAL PROJECTIONS:

    -Jp[a]scale[/origin][r|z] (Polar coordinates (theta,r))
    -Jxx-scale[d|l|ppow|t|T][/y-scale[d|l|ppow|t|T]] (Linear, log, and power scaling)

-R  west, east, south, and north specify the Region of interest, and you may specify them in decimal degrees or in [+-]dd:mm[:ss.xxx][W|E|S|N] format. Append r if lower left and upper right map coordinates are given instead of wesn. The two shorthands -Rg -Rd stand for global domain (0/360 or -180/+180 in longitude respectively, with -90/+90 in latitude).

-S  Selects the meaning of the columns in the data file
    In order to use the same file to plot cross-sections, depth is in third column. Nevertheless, it is possible to use "old style" psvelomeca input files without depth in third column using the -o option.

-Sascale[c/i][/fontsize[/offset[u]]]
    Focal mechanisms in Aki and Richard convention. scale adjusts the scaling of the radius of the "beach ball", which will be proportional to the magnitude. Scale is the size for magnitude = 5 in inch (unless c, i, m, or p is appended). Use the -T option to render the beach ball transparent by drawing only the nodal planes and the circumference. The color or shade of the compressive quadrants can be specified with the -G option. The color or shade of the extensive quadrants can be specified with the -E option. Parameters are expected to be in the following columns:

1,2:
    longitude, latitude of event (-: option interchanges order)

3:  depth of event in kilometers

4,5,6:
    strike, dip and rake in degrees

7:  magnitude

8,9:
    longitude, latitude at which to place beach ball. Entries in these columns are necessary with the -C option. Using 0,0 in columns 8 and 9 will plot the beach ball at the longtiude, latitude given in columns 1 and 2. The -: option will interchange the order of columns (1,2) and (8,9).

10: Text string to appear above the beach ball (optional).

-Scscale[c/i][/fontsize[/offset[u]]]
    Focal mechanisms in Harvard CMT convention. scale adjusts the scaling of the radius of the "beach ball", which will be proportional to the magnitude. Scale is the size for magnitude = 5 (that is M0 = 4.0E23 dynes-cm) in inch (unless c, i, m, or p is appended). Use the -T option to render the beach ball transparent by drawing only the nodal planes and the circumference. The color or shade of the compressive quadrants can be specified with the -G option. The color or shade of the extensive quadrants can be specified with the -E option. Parameters are expected to be in the following columns:

1,2:
    longitude, latitude of event (-: option interchanges order)

3:  depth of event in kilometers

4,5,6:
    strike, dip, and rake of plane 1

7,8,9:
    strike, dip, and rake of plane 2

10,11:
    mantissa and exponent of moment in dyne-cm

12,13:
    longitude, latitude at which to place beach ball. Entries in these columns are necessary with the -C option. Using (0,0) in columns 11 and 12 will plot the beach ball at the longitude, latitude given in columns 1 and 2. The -: option will interchange the order of columns (1,2) and (12,13).

14: Text string to appear above the beach ball (optional).

-Smscale[c/i][/fontsize[/offset[u]]]
    Seismic moment tensor (Harvard CMT, with zero trace). scale adjusts the scaling of the radius of the "beach ball", which will be proportional to the magnitude. Scale is the size for magnitude = 5 (that is scalar seismic moment = 4.0E23 dynes-cm) in inch (unless c, i, m, or p is appended). (-T0 option overlays best double couple transparently.) Put -Sdscale[/fontsize[/offset[u]]] to plot the only double couple part of moment tensor. Put -Szscale[/fontsize[/offset[u]]] to plot anisotropic part of moment tensor (zero trace). The color or shade of the compressive quadrants can be specified with the -G option. The color or shade of the extensive quadrants can be specified with the -E option. Parameters are expected to be in the following columns

1,2:
    longitude, latitude of event (-: option interchanges order)

3:  depth of event in kilometers

4,5,6,7,8,9:
    mrr, mtt, mff, mrt, mrf, mtf in 10*exponent dynes-cm

10: exponent

11,12:
    longitude, latitude at which to place beach ball. Entries in these columns are necessary with the -C option. Using 0,0 in columns 9 and 10 will plot the beach ball at the longitude, latitude given in columns 1 and 2. The -: option will interchange the order of columns (1,2) and (9,10).

13: Text string to appear above the beach ball (optional).

-Spscale[c/i][/fontsize[/offset[u]]]
    Focal mechanisms given with partial data on both planes. scale adjusts the scaling of the radius of the "beach ball", which will be proportional to the magnitude. Scale is the size for magnitude = 5 in inch (unless c, i, m, or p is appended). The color or shade of the compressive quadrants can be specified with the -G option. The color or shade of the extensive quadrants can be specified with the -E option. Parameters are expected to be in the following columns

1,2:
    longitude, latitude of event (-: option interchanges order)

3:  depth of event in kilometers

4,5:
    strike, dip of plane 1

6:  strike of plane 2

7:  must be -1/+1 for a normal/inverse fault

8:  magnitude

9,10:
    longitude, latitude at which to place beach ball. Entries in these columns are necessary with the -C option. Using 0,0 in columns 9 and 10 will plot the beach ball at the longitude, latitude given in columns 1 and 2. The -: option will interchange the order of columns (1,2) and (9,10).

11: Text string to appear above the beach ball (optional).

-Sxscale[c/i][/fontsize[/offset[u]]]
    Principal axis. scale adjusts the scaling of the radius of the "beach ball", which will be proportional to the magnitude. Scale is the size for magnitude = 5 (that is seismic scalar moment = 4*10e+23 dynes-cm) in inch (unless c, i, m, or p is appended). (-T0 option overlays best double couple transparently.) Put -Syscale[c/i][/fontsize[/offset[u]]] to plot the only double couple part of moment tensor. Put -Stscale[c/i][/fontsize[/offset[u]]] to plot zero trace moment tensor. The color or shade of the compressive quadrants can be specified with the -G option. The color or shade of the extensive quadrants can be specified with the -E option. Parameters are expected to be in the following columns

1,2:
    longitude, latitude of event (-: option interchanges order)

3:  depth of event in kilometers

4,5,6,7,8,9,10,11,12:
    value (in 10*exponent dynes-cm), azimuth, plunge of T, N, P axis.

13: exponent

14,15:
    longtiude, latitude at which to place beach ball. Entries in these columns are necessary with the -C option. Using 0,0 in columns 9 and 10 will plot the beach ball at the longitude, latitude given in columns 1 and 2. The -: option will interchange the order of columns (1,2) and (9,10).

16: Text string to appear above the beach ball (optional).

OPTIONS
No space between the option flag and the associated arguments.

-B  Sets map boundary annotation and tickmark intervals; see the psbasemap man page for all the details.

-C[pen][pointsize]
    Offsets focal mechanisms to the longitude, latitude specified in the last two columns of the input file before the (optional) text string. A small circle is plotted at the initial location and a line connects the beachball to the circle. Specify pen and/or pointsize to change the line style and/or size of the circle. [Defaults: pen width = 1, color = 0/0/0, texture = solid; pointsize 0].

-D  depmin/depmax Plots events between depmin and depmax.

-Efill
    Selects filling of extensive quadrants. Usually white. Set the shade (0-255) or color (r/g/b) [Default is 255/255/255].

-Gfill
    Selects filling of focal mechanisms. By convention, the compressional quadrants of the focal mechanism beach balls are shaded. Set the shade (0-255) or color (r/g/b) [Default is 0/0/0].

-H  Input file(s) has Header record(s). Number of header records can be changed by editing your .gmtdefaults4 file. If used, GMT default is 1 header record. Use -Hi if only input data should have header records [Default will write out header records if the input data have them].

-K  More PostScript code will be appended later [Default terminates the plot system].

-L[pen]
    Draws the "beach ball" outline with pen attributes. [Defaults width = 1, color = 0/0/0, texture = solid].

-N  Does NOT skip symbols that fall outside frame boundary specified by -R [Default plots symbols inside frame only].

-O  Selects Overlay plot mode [Default initializes a new plot system].

-P  Selects Portrait plotting mode [GMT Default is Landscape, see gmtdefaults to change this].

-T[num_of_planes]
    Plots the nodal planes and outlines the bubble which is transparent. If num_of_planes is
          0: both nodal planes are plotted;
          1: only the first nodal plane is plotted;
          2: only the second nodal plane is plotted.

-U  Draw Unix System time stamp on plot. User may specify where the lower left corner of the stamp should fall on the page relative to lower left corner of plot. Optionally, append a label, or c (which will plot the command string.). The GMT parameters UNIX_TIME and UNIX_TIME_POS can affect the appearance; see the gmtdefaults man page for details.

-V  Selects verbose mode, which will send progress reports to stderr [Default runs "silently"].

-W  pen is a comma delimetered list of width, color and texture, each of which is optional. width can be indicated as a measure (points, centimeters, inches) or as faint, thin[ner|nest], thick[er|est], fat[ter|test], or obese. color specifies a grey shade (0-255) or color (r/g/b, each in range 0-255; h-s-v, ranges 0-360, 0-1, 0-1; or c/m/y/k, each in range 0-100%; or valid color name). texture is a combination of dashes `-' and dots `.'.

-X -Y
    Shift plot origin relative to the current origin by (x-shift,y-shift) and optionally append the length unit (c, i, m, p). You can prepend a to shift the origin back to the original position after plotting, or prepend r [Default] to reset the current origin to the new location. If -O is used then the default (x-shift,y-shift) is (0,0), otherwise it is (r1i, r1i) or (r2.5c, r2.5c). Alternatively, give c to align the center coordinate (x or y) of the plot with the center of the page based on current page size.

-Zcptfile
    Give a color palette file and let compressive part color be determined by the z-value in the third column.

-z  Overlay zero trace moment tensor.

-a[size/[P_axis_symbol[T_axis_symbol]]]
    Computes and plots P and T axes with symbols. Optionally specify size and (separate) P and T axis symbols from the following: (c) circle, (d) diamond, (h) hexagon, (i) inverse triangle, (p)point, (s) square, (t) triangle, (x) cross. [Defaults: 0.2c/cc or 0.08i/cc.]

-efill
    Selects filling of T axis symbol. Set the shade (0-255) or color (r/g/b). Default is white.

-gfill
    Selects filling of P axis symbol. Set the shade (0-255) or color (r/g/b). Default black.

-o  Use the psvelomeca input format without depth in the third column.

-p[pen]
    Draws the P axis outline using default pen (see -W), or sets pen attributes.

-t[pen]
    Draws the T axis outline using default pen (see -W), or sets pen attributes.

-:  Toggles between (longitude,latitude) and (latitude,longitude) input and/or output. [Default is (longitude,latitude)]. Append i to select input only or o to select output only. [Default affects both].

-c  Specifies the number of plot copies. [Default is 1].

EXAMPLES

The following file should give a normal-faulting CMT mechanism:
psmeca -R239/240/34/35.2 -Jm4 -Sc0.4 -H1 <<END>! test.ps
lon lat depth str dip slip st dip slip mant exp plon plat
239.384 34.556 12. 180 18 -88 0 72 -90 5.5 0 0 0
END

SEE ALSO
GMT(1), psbasemap(1), psxy(1)

REFERENCES
Bomford, G., Geodesy, 4th ed., Oxford University Press, 1980.
Aki, K. and P. Richards, Quantitative Seismology, Freeman, 1980.
F. A. Dahlen and Jeoren Trom, Theoretical Seismology, Princeton, 1998, p.167.
Cliff Frohlich, Cliff's Nodes Concerning Plotting Nodal Lines for P, Sh and Sv
Seismological Research Letters, Volume 67, Number 1, January-February, 1996
Thorne Lay, Terry C. Wallace, Modern Global Seismology, Academic Press, 1995, p.384.
W.H. Press, S.A. Teukolsky, W.T. Vetterling, B.P. Flannery, Numerical Recipes in
 C, Cambridge University press (routine jacobi)

AUTHORS
Genevieve Patau
CNRS UMR 7580
Seismology Dept.
Institut de Physique du Globe de Paris
(patau@.ipgp.jussieu.fr)